Create a recurring resident charge
https://api.propexo.com/v1/recurring-resident-charges/Create a recurring resident charge for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the lease
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
The amount of the recurring resident charge, in cents
Possible values: > 0
The start date associated with the recurring resident charge
Show 2 variants
Description of the recurring resident charge
The end date associated with the recurring resident charge
Show 2 variants
The month-to-month amount for the recurring charge in cents
Possible values: > 0
The month-to-month fee for the recurring charge in cents
Possible values: > 0
The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
The propexo charge timing ID that defines when the charge should be applied
The propexo charge code type ID
The Propexo unique identifier for the financial account
Whether the recurring resident charge is active
The day of the month the charge is due. When frequency_normalized is set to 'WEEKLY', the charge_due_day must be between 1 and 7
Possible values: >= 1 and <= 31
The frequency of the recurring resident charge
Show 3 enum values
DAILYMONTHLYWEEKLYThe reference number for the recurring resident charge
The day of the month the charge is due
Possible values: > 0 and <= 31
The raw value of the frequency of the recurring resident charge (in months)
Possible values: > 0 and <= 24
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}